Package ghidra.rmi.trace

# Interface TraceRmi.RequestGetValuesIntersectingOrBuilder

All Superinterfaces:
  `com.google.protobuf.MessageLiteOrBuilder`, `com.google.protobuf.MessageOrBuilder`

All Known Implementing Classes:
  `TraceRmi.RequestGetValuesIntersecting`, `TraceRmi.RequestGetValuesIntersecting.Builder`

Enclosing class:
  `TraceRmi`

public static interface TraceRmi.RequestGetValuesIntersectingOrBuilder extends com.google.protobuf.MessageOrBuilder

- ## Method Summary

  Modifier and Type
  Method
  Description
  `TraceRmi.Box`
  `getBox()`
  `.ghidra.rmi.trace.Box box = 2;`
  `TraceRmi.BoxOrBuilder`
  `getBoxOrBuilder()`
  `.ghidra.rmi.trace.Box box = 2;`
  `String`
  `getKey()`
  `string key = 3;`
  `com.google.protobuf.ByteString`
  `getKeyBytes()`
  `string key = 3;`
  `TraceRmi.DomObjId`
  `getOid()`
  `.ghidra.rmi.trace.DomObjId oid = 1;`
  `TraceRmi.DomObjIdOrBuilder`
  `getOidOrBuilder()`
  `.ghidra.rmi.trace.DomObjId oid = 1;`
  `boolean`
  `hasBox()`
  `.ghidra.rmi.trace.Box box = 2;`
  `boolean`
  `hasOid()`
  `.ghidra.rmi.trace.DomObjId oid = 1;`

  ### Methods inherited from interface com.google.protobuf.MessageLiteOrBuilder

  `isInitialized`

  ### Methods inherited from interface com.google.protobuf.MessageOrBuilder

  `findInitializationErrors, getAllFields, getDefaultInstanceForType, getDescriptorForType, getField, getInitializationErrorString, getOneofFieldDescriptor, getRepeatedField, getRepeatedFieldCount, getUnknownFields, hasField, hasOneof`

- ## Method Details

  - ### hasOid

    boolean hasOid()
    `.ghidra.rmi.trace.DomObjId oid = 1;`
    Returns:
      Whether the oid field is set.

  - ### getOid

    TraceRmi.DomObjId getOid()
    `.ghidra.rmi.trace.DomObjId oid = 1;`
    Returns:
      The oid.

  - ### getOidOrBuilder

    TraceRmi.DomObjIdOrBuilder getOidOrBuilder()
    `.ghidra.rmi.trace.DomObjId oid = 1;`

  - ### hasBox

    boolean hasBox()
    `.ghidra.rmi.trace.Box box = 2;`
    Returns:
      Whether the box field is set.

  - ### getBox

    TraceRmi.Box getBox()
    `.ghidra.rmi.trace.Box box = 2;`
    Returns:
      The box.

  - ### getBoxOrBuilder

    TraceRmi.BoxOrBuilder getBoxOrBuilder()
    `.ghidra.rmi.trace.Box box = 2;`

  - ### getKey

    String getKey()
    `string key = 3;`
    Returns:
      The key.

  - ### getKeyBytes

    com.google.protobuf.ByteString getKeyBytes()
    `string key = 3;`
    Returns:
      The bytes for key.